* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    background-color: darkorange;
    font-size: 110px;
    overflow-x: hidden;
}

body{
    display: flex;
    flex-direction: column;
    align-items: center;
}

main {
    width: 100dvw;
    max-width: 800px;
    height: 90dvh;
    gap: 4px;
    display: flex;
    flex-direction: column;
    padding: 4px;
}
h2{
    font-size: 5dvh;
    height: 6dvh;
    padding: 4px 8px;
    font-style: italic;
}

.fader{
    background-color: rgba(0, 0, 0, 0);
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}

.item-container {
    /* height: 20%; */
    flex: 1;
    position: relative;
    display: flex;
    align-items: center;

}

.resizable {
    position: relative;
    width: 100%;
    height: 100%;
    max-width: 100%;
    min-width: 15%;
    border: 4px solid black;
    overflow: hidden;
    transition: width 0.3s ease;
}

.slightly-off{
    width: 93%;
}


.content {
    height: 100%;
    padding: 24px 48px 16px 16px;
    box-sizing: border-box;
    white-space: nowrap;
    text-align: right;
    font-family: "Tai Heritage Pro", serif;
    font-style: italic;
    line-height: 1rem;
    transform-origin: center center;

}

.resize-handle {
    position: absolute;
    top: 0;
    right: 0;
    width: 24px;
    /* largura da área clicável */
    height: 100%;
    cursor: ew-resize;
    background: rgba(255, 255, 255, 0.25);
    /* pode remover se quiser invisível */
}

.item-label {
    position: absolute;
    display: inline-block;
    /* height: 100%; */
    right: 0;
    /* left: 50%;
    top: 50%; */
    /* transform: rotate(90deg); */
    transform-origin: center center;
    background-color: black;
    color: deeppink;
    text-align: center;
    padding: 0 0.25rem;
    font-family: "Rubik Glitch", system-ui;
    text-transform: uppercase;
    font-size: 0.7rem;
}

.no-select {
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.hachura {
    background: repeating-linear-gradient(-45deg,
            black 0px,
            black 4px,
            transparent 2px,
            transparent 6px);
}

.blue {
    background-color: blue;
    color: white;
}

.green {
    background-color: green;
    color: white;
}

.red {
    background-color: red;
    color: white;
}

.purple {
    background-color: purple;
    color: white;
}

.yellow {
    background-color: yellow;
    color: black;
}